## abakus-trinity 14.1.1

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 3.1 )


##### general package setup #####################

project( abakus )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( icons )
add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## abakus-trinity 3.5.13.2

=== debian/changelog ===
abakus-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 01:45:15 +0200

abakus-trinity (0.91-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

abakus-trinity (0.91-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 23:58:00 -0600

abakus-trinity (0.91-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 13 Dec 2008 16:32:00 -0600

abakus (0.91-1ubuntu3) hardy; urgency=low

  * Fix FTBFS: Replace previously added dh_iconcache call to use
    the new dh_icons command which replaced it (LP: #159334).

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 02 Mar 2008 20:56:10 +0100

abakus (0.91-1ubuntu2) gutsy; urgency=low

  * Update maintainer fields according to debian-maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Sep 2007 16:43:55 +0200

abakus (0.91-1ubuntu1) edgy; urgency=low

  * Re-merge with Debian

 -- Barry deFreese <bddebian@comcast.net>  Thu, 24 Aug 2006 21:24:20 -0400

abakus (0.91-1) unstable; urgency=low

  * New upstream release
  * Adjust the clean target
  * Add build-dependencies against bison and flex
  * Bump standards version
  * Upload sponsored by Petter Reinholdtsen

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Mon, 21 Aug 2006 21:15:58 +1000

abakus (0.90-6ubuntu1) dapper; urgency=low

  * debian/rules:
    + Use dh_iconcache upon package build.

 -- Zak B. Elep <zakame@ubuntu.com>  Thu,  6 Apr 2006 10:14:25 -0400

abakus (0.90-6) unstable; urgency=low

  * Remove special build-depends on gcc-3.4
    because now gcc-4.0 is fixed and
    abakus will build on arm, m68k and hppa
    with gcc-4.0
  * Change description to make it linda clean
  * Upload sponsored by Petter Reinholdtsen

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue,  6 Dec 2005 19:40:19 +0100

abakus (0.90-5) unstable; urgency=low

  * Fix minor bug in description (Closes: #341064) 

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue, 29 Nov 2005 17:11:28 +0100

abakus (0.90-4) unstable; urgency=low

  * Add build-depends on gcc-3.4 for arm m68k hppa
    to make sure abakus build on them

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu, 17 Nov 2005 22:38:43 +0100

abakus (0.90-3) unstable; urgency=low

  * Really add build-depends on debhelper ;(
     (Closes: #336538)
  * Upload interim sponsored by Martin Zobel-Helas <zobel@debian.org>

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Mon, 31 Oct 2005 10:49:50 +0100

abakus (0.90-2) unstable; urgency=low

  * Add build-depends on debhelper (>= 4.1.0), to make sure
    dh_clean is available during build
  * Upload sponsored by Petter Reinholdtsen

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun, 23 Oct 2005 22:50:09 +0200

abakus (0.90-1) unstable; urgency=low

  * Initial release (Closes: #335367)
  * Upload sponsored by Petter Reinholdtsen

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun, 23 Oct 2005 15:19:58 +0200

=== debian/control ===
Source: abakus-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Steffen Joeris <steffen.joeris@skolelinux.de>
Build-Depends: autotools-dev, debhelper (>= 4.1.0), quilt, cdbs (>= 0.4.0), cmake, imagemagick, kdelibs4-trinity-dev, chrpath, bison, flex
Standards-Version: 3.8.4

Package: abakus-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: calculator for KDE [Trinity]
 AbaKus is a complex calculator, which provides
 many different kinds of calculations.
 Think of it as bc (the command-line calculator) with a nice GUI.
 It also gives information about mathematical variables and
 has the user-friendly menu options of a normal KDE application.
 .
 Web site: http://grammarian.homelinux.net/abakus/

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

debian/abakus.xpm: icons/hi64-app-abakus.png
	convert -resize 32 $< $@

common-build-arch:: debian/abakus.xpm

common-install-arch::
	install -D -m 644 debian/abakus.xpm debian/abakus-trinity/opt/trinity/share/pixmaps/abakus.xpm
	chrpath -d debian/abakus-trinity/opt/trinity/bin/abakus
	dh_icons -pabakus

binary-install/abakus-trinity::
	mv debian/abakus-trinity/usr/share/man debian/abakus-trinity/opt/trinity/share/

clean::
	rm -f debian/abakus.xpm

## abakus-trinity 14.1.0

=== debian/changelog ===
abakus-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 21:15:17 +0200

=== debian/control ===
Source: abakus-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Steffen Joeris <steffen.joeris@skolelinux.de>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, imagemagick, bison, flex
Standards-Version: 3.8.4

Package: abakus-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: abakus-kde3 (<< 4:14.0.0~), abakus-trinity (<< 4:14.0.0~)
Breaks: abakus-kde3 (<< 4:14.0.0~), abakus-trinity (<< 4:14.0.0~)
Description: calculator for TDE [Trinity]
 AbaKus is a complex calculator, which provides
 many different kinds of calculations.
 Think of it as bc (the command-line calculator) with a nice GUI.
 It also gives information about mathematical variables and
 has the user-friendly menu options of a normal TDE application.
 .
 Web site: http://grammarian.homelinux.net/abakus/

## abakus-trinity 14.1.1

=== debian/changelog ===
abakus-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 15:23:36 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: abakus-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: abakus-kde3 (<< 4:14.0.0~), abakus-trinity (<< 4:14.0.0~)
-Breaks: abakus-kde3 (<< 4:14.0.0~), abakus-trinity (<< 4:14.0.0~)
+Replaces: abakus-trinity (<< 4:14.0.0~)
+Breaks: abakus-trinity (<< 4:14.0.0~)
 Description: calculator for TDE [Trinity]
  AbaKus is a complex calculator, which provides
  many different kinds of calculations.

## abakus-trinity 14.1.2

=== debian/changelog ===
abakus-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Apr 2024 11:36:32 +0200

## abakus-trinity 14.1.3

=== debian/changelog ===
abakus-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Apr 2024 11:36:32 +0200

## abakus-trinity 14.1.4

=== debian/changelog ===
abakus-trinity (4:14.1.4-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Steffen Joeris <steffen.joeris@skolelinux.de>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, imagemagick, bison, flex
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, imagemagick, bison, flex
 Standards-Version: 3.8.4
 
 Package: abakus-trinity

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DAUTODETECT_QT_DIRS="ON" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

debian/abakus.xpm: icons/hi64-app-abakus.png
	convert -resize 32 $< $@

common-build-arch:: debian/abakus.xpm

common-install-arch::
	install -D -m 644 debian/abakus.xpm debian/abakus-trinity/opt/trinity/share/pixmaps/abakus.xpm
	dh_icons -pabakus-trinity

clean::
	rm -f debian/abakus.xpm

## abakus-trinity 14.1.5~pre3

=== debian/changelog ===
abakus-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for bb15b884de1fb835b221a1eb68bdb600e9d1676b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## abakus-trinity 14.1.5

=== debian/changelog ===
abakus-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 export LD_LIBRARY_PATH
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_KDE_APIDOX := yes

## abakus-trinity 14.1.6~pre0

=== debian/changelog ===
abakus-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for bb15b884de1fb835b221a1eb68bdb600e9d1676b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## abakus-trinity 14.1.6~pre1

=== debian/changelog ===
abakus-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 26c047bf5ced34848e20d0398ccbb6f487133730
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:20:03 +0100

## abakus-trinity 14.1.6~pre2

=== debian/changelog ===
abakus-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for eefd6488a773aaeba10634a63a9407f57bdf0e49
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 12 Jan 2026 22:29:47 +0100

## abakus-trinity 14.1.6~pre4

=== debian/changelog ===
abakus-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 86158a1f45859173acbf5b78fa9aaeb3667693cf
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Jan 2026 22:34:11 +0100

## abakus-trinity 14.2.0~pre31

=== debian/changelog ===
abakus-trinity (4:14.2.0~pre31-0ubuntu20.04.0+6) focal; urgency=low

  * Automated git build for 559e649868a544f30f8a9a6e5dd528aea76e66d3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Steffen Joeris <steffen.joeris@skolelinux.de>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, imagemagick, bison, flex
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, imagemagick, bison, flex
 Standards-Version: 3.8.4
 
 Package: abakus-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: abakus-trinity (<< 4:14.0.0~)
-Breaks: abakus-trinity (<< 4:14.0.0~)
+Replaces: abakus-kde3 (<< 4:14.0.0~), abakus-trinity (<< 4:14.0.0~)
+Breaks: abakus-kde3 (<< 4:14.0.0~), abakus-trinity (<< 4:14.0.0~)
 Description: calculator for TDE [Trinity]
  AbaKus is a complex calculator, which provides
  many different kinds of calculations.

## abakus-trinity 14.2.0~pre32

=== debian/changelog ===
abakus-trinity (4:14.2.0~pre32-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 69585492df3023c4c885d50edeb897c9e29b8dd1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:13:38 +0100

## abakus-trinity 14.2.0~pre33

=== debian/changelog ===
abakus-trinity (4:14.2.0~pre33-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for f81120c3834b50c4baff01081227c10d908f266b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 23:51:24 +0100

## abakus-trinity 14.2.0~pre35

=== debian/changelog ===
abakus-trinity (4:14.2.0~pre35-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 49de8ba2d8226c4f3a237f66dd9d858a1e283f51
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#abakus

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Jan 2026 20:51:46 +0100
